## libopenshot-audio 0.2.2+dfsg1

=== CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @file
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
# @author FeRD (Frank Dana) <ferdnyc@gmail.com>
#
# Copyright (c) 2008-2020 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated
# to delivering high quality audio editing and playback solutions to the
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################

cmake_minimum_required(VERSION 3.1...3.20 FATAL_ERROR)

message("\
-----------------------------------------------------------------
          Welcome to the OpenShot Build System!

CMake will now check libopenshot-audio's build dependencies and
inform you of any missing files or other issues.

For more information, please visit <http://www.openshot.org/>.
-----------------------------------------------------------------")

################ ADD CMAKE MODULES ##################
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")

################ PROJECT VERSION ####################
set(PROJECT_VERSION_FULL "0.2.2")
set(PROJECT_SO_VERSION 8)

# Remove the dash and anything following, to get the #.#.# version for project()
string(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")

################### SETUP PROJECT ###################
# This will define the following variables
# PROJECT_NAME
# PROJECT_VERSION, OpenShotAudio_VERSION
# PROJECT_VERSION_MAJOR, OpenShotAudio_VERSION_MAJOR
# PROJECT_VERSION_MINOR, OpenShotAudio_VERSION_MINOR
# PROJECT_VERSION_PATCH, OpenShotAudio_VERSION_PATCH
project(OpenShotAudio LANGUAGES C CXX VERSION ${VERSION_NUM})

# JuceHeader.h needs a hexadecimal version number for the project
if(CMAKE_VERSION VERSION_GREATER 3.13)
  math(EXPR PROJECT_VERSION_HEX
    "(${PROJECT_VERSION_MAJOR} << 16) + \
     (${PROJECT_VERSION_MINOR} << 8) + \
     (${PROJECT_VERSION_PATCH})" OUTPUT_FORMAT HEXADECIMAL )
else()
  # Compile and run a C++ program to generate the hex version
  set(HEX_COMPILE_DEFINITIONS
    -DVERSION_MAJOR=${PROJECT_VERSION_MAJOR}
    -DVERSION_MINOR=${PROJECT_VERSION_MINOR}
    -DVERSION_PATCH=${PROJECT_VERSION_PATCH}
  )
  try_run(HEX_VERSION_RUN HEX_VERSION_BUILD
    ${CMAKE_CURRENT_BINARY_DIR}/hex_version
    ${PROJECT_SOURCE_DIR}/src/hex_version.cpp
    COMPILE_DEFINITIONS ${HEX_COMPILE_DEFINITIONS}
    RUN_OUTPUT_VARIABLE HEX_VERSION_OUTPUT
  )
  if (NOT HEX_VERSION_BUILD)
    message(ERROR "Failed to compile hex-version utility!")
  elseif(HEX_VERSION_RUN STREQUAL FAILED_TO_RUN)
    message(ERROR "Could not execute hex-version utility!")
  else()
    set(PROJECT_VERSION_HEX ${HEX_VERSION_OUTPUT})
  endif()
endif()

message("
Generating build files for OpenShot with CMake ${CMAKE_VERSION}
  Building ${PROJECT_NAME} version ${PROJECT_VERSION_FULL} (${PROJECT_VERSION_HEX})
  SO/API/ABI Version: ${PROJECT_SO_VERSION}
")


# Define install paths according to system conventions
# XXX: This must be AFTER THE project() COMMAND w/ languages enabled,
#      in order to properly configure CMAKE_INSTALL_LIBDIR path
include(GNUInstallDirs)
# Collect and display summary of options/dependencies
include(FeatureSummary)

# Alternative location for JUCE modules (debian has their own)
set(JUCE_MODULES_PATH "${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules" CACHE PATH
    "Location of the JUCE source code 'modules' directory")
if(CMAKE_VERSION VERSION_GREATER 3.4 AND IS_ABSOLUTE ${JUCE_MODULES_PATH})
  # Display path relative to project root
  file(RELATIVE_PATH _juce_dir ${CMAKE_CURRENT_SOURCE_DIR} ${JUCE_MODULES_PATH})
else()
  set(_juce_dir ${JUCE_MODULES_PATH})
endif()
string(REGEX REPLACE "/modules$" "" _juce_dir "${_juce_dir}")
add_feature_info("JUCE path" TRUE "Using JUCE sources from: ${_juce_dir}")

###
### Configure headers
###

# Generate our custom headers from templates
configure_file(include/OpenShotAudio.h.in include/OpenShotAudio.h @ONLY)
configure_file(include/JuceHeader.h.in include/JuceHeader.h @ONLY)
configure_file(include/AppConfig.h.in include/AppConfig.h @ONLY)
list(APPEND _extra_headers
  ${CMAKE_CURRENT_BINARY_DIR}/include/OpenShotAudio.h
  ${CMAKE_CURRENT_BINARY_DIR}/include/JuceHeader.h
  ${CMAKE_CURRENT_BINARY_DIR}/include/AppConfig.h
)

# Juce requires either DEBUG or NDEBUG to be defined on MacOS.
# -DNDEBUG is set by cmake for all release configs, so add
# -DDEBUG for debug builds. We'll do this for all OSes, even
# though only MacOS requires it.
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")
# Make sure we've picked some build type, default to release
if(NOT DEFINED CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
  set(CMAKE_BUILD_TYPE "Release")
endif()

# Default extension for source files
if(UNIX AND APPLE)
  set(SOURCE_EXTENSION "mm")
else()
  set(SOURCE_EXTENSION "cpp")
endif()

# List of modules to build
set(JUCE_MODULES
  juce_audio_basics
  juce_audio_devices
  juce_audio_formats
  juce_core
  juce_data_structures
  juce_dsp
  juce_events )
# Convert to list of source files (extension based on OS)
foreach(j_module IN LISTS JUCE_MODULES)
  list(APPEND JUCE_SOURCES
    JuceLibraryCode/include_${j_module}.${SOURCE_EXTENSION} )
endforeach()

add_library(openshot-audio SHARED ${JUCE_SOURCES})

# Include header directories
target_include_directories(openshot-audio PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
  $<BUILD_INTERFACE:${JUCE_MODULES_PATH}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio/>
)

# Set SONAME and other library properties
set_target_properties(openshot-audio PROPERTIES
  VERSION ${PROJECT_VERSION}
  SOVERSION ${PROJECT_SO_VERSION}
  EXPORT_NAME Audio  # Exports as OpenShot::Audio target
)

# Require language features we use
if(CMAKE_VERSION VERSION_GREATER 3.8)
  target_compile_features(openshot-audio PUBLIC
    cxx_std_14
    cxx_range_for
    cxx_override
  )
else()
  set_target_properties(openshot-audio PROPERTIES
    CXX_STANDARD 14
    CXX_STANDARD_REQUIRED YES
    CXX_EXTENSIONS NO
  )
endif()

# Enable stack-unwinding support in c objects on gcc-based platforms.
# Failing to do so will cause your program to be terminated when a png
# or a jpeg exception is thrown on linux or macosx.
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  target_compile_options(openshot-audio PRIVATE -fexceptions)
endif()

# This ends up needing to be defined for consumers wishing to use
# JUCE classes in SWIG bindings, since some of the target languages
# (Ruby) have issues dealing with JUCE's use of isFinite()
target_compile_definitions(openshot-audio INTERFACE HAVE_ISFINITE=1)

# For EXPORTED config
set(NEED_ASIO FALSE)
if(WIN32)
  # Try to load ASIO SDK
  find_package(ASIO)
  if(TARGET ASIO::SDK)
    target_link_libraries(openshot-audio PRIVATE ASIO::SDK)
    set(NEED_ASIO TRUE)
  endif()
  # Order here can be important!
  # For example, winmm.lib must come before kernel32.lib (if linked)
  # or older 32-bit windows versions will have linking issues for
  # certain entry points
  target_link_libraries(openshot-audio PRIVATE
    winmm.lib
    ws2_32.lib
    wininet.lib
    version.lib
    Shlwapi.dll
  )
endif()

if(APPLE)
  set_target_properties(openshot-audio PROPERTIES
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    MACOSX_RPATH OFF
  )
  target_link_libraries(openshot-audio PRIVATE
    "-framework Carbon"
    "-framework Cocoa"
    "-framework CoreFoundation"
    "-framework CoreAudio"
    "-framework CoreMidi"
    "-framework IOKit"
    "-framework AGL"
    "-framework AudioToolbox"
    "-framework QuartzCore"
    "-framework Accelerate"
    "-lobjc"
  )
  target_compile_options(openshot-audio PRIVATE
    -flax-vector-conversions)
endif()

# ALSA (Linux only)
if(UNIX AND NOT APPLE)
  set(NEED_ALSA TRUE)
  find_package(ALSA REQUIRED)
  if (ALSA_FOUND AND NOT TARGET ALSA::ALSA) # CMake < 3.12
    add_library(ALSA::ALSA INTERFACE IMPORTED)
    set_target_properties(ALSA::ALSA PROPERTIES
      INTERFACE_INCLUDE_DIRECTORIES ${ALSA_INCLUDE_DIR}
      INTERFACE_LINK_LIBRARIES ${ALSA_LIBRARIES})
  endif()
  target_compile_definitions(openshot-audio PUBLIC LINUX)
  target_link_libraries(openshot-audio PUBLIC ALSA::ALSA)
else()
  # For EXPORTED Config
  set(NEED_ALSA FALSE)
endif()

# ZLIB -- uses IMPORTED target ZLIB::ZLIB which has existed since CMake 3.1
find_package(ZLIB REQUIRED)
target_link_libraries(openshot-audio PUBLIC ZLIB::ZLIB)

# Link with dynamic loader for platform
target_link_libraries(openshot-audio PUBLIC ${CMAKE_DL_LIBS})

# Create an alias so our EXPORT target name works internally, as well
add_library(OpenShot::Audio ALIAS openshot-audio)

# PROCESS SUB-DIRECTORIES
add_subdirectory(src)

###
###
### INSTALLATION
###
###

configure_file(
  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
  FindASIO.cmake @ONLY)

install(TARGETS openshot-audio
  EXPORT OpenShotAudioTargets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio
)

# Install all headers
install(FILES
  ${_extra_headers}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio
)

foreach(j_module IN LISTS JUCE_MODULES)
  install(CODE "message(STATUS \"Installing ${j_module} headers\")")
  install(DIRECTORY ${JUCE_MODULES_PATH}/${j_module}/
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libopenshot-audio/${j_module}
    FILES_MATCHING PATTERN "*.h" )
endforeach()

# Install manpage
install(FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/doc/openshot-audio-demo.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
)

# Export configuration to build tree
export(EXPORT OpenShotAudioTargets
  FILE OpenShotAudioTargets.cmake
  NAMESPACE OpenShot::
)

# Package the exported targets for external consumers
include(CMakePackageConfigHelpers)

set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
  CACHE STRING "install path for CMake configuration")

# Install EXPORTED configuration
install(
  EXPORT OpenShotAudioTargets
  FILE OpenShotAudioTargets.cmake
  NAMESPACE OpenShot::
  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
configure_package_config_file(
  cmake/Config.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# Write version file for eported config
write_basic_package_version_file(
  OpenShotAudioConfigVersion.cmake
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY AnyNewerVersion
)

# Export the configuration at install time
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# Include our FindASIO module, which will be needed on Windows
install(FILES
  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

###
### DOCUMENTATION
###
# We need Python to process the source for Doxygen...
find_package(PythonInterp 3)

if(PYTHONINTERP_FOUND)
  # Pre-process the sources to fix documentation formatting

=== debian/changelog ===
libopenshot-audio (0.2.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2022 20:35:30 +0100

libopenshot-audio (0.2.2+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.2.2+dfsg1
  * SONAME bump: libopenshot-audio7 -> libopenshot-audio8
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/: Fix installation of openshot-audio-demo
  * debian/libopenshot-audio-dev.install: Install cmake files
  * debian/patches:
    - Refresh patches
    - Include SOVERSION in VERSION
    - Link with pthread
  * debian/rules:
    - No longer manually specify -Wl,--as-needed
    - Remove unnecessary override

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Mar 2022 22:56:03 +0100

=== debian/control ===
Source: libopenshot-audio
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
           Anton Gladky <gladk@debian.org>
Rules-Requires-Root: no
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libflac-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>,
                     python3 <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio8 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: libopenshot-audio-test-sound
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: plays test sound using libopenshot-audio
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the test binary to test the sound using
 libopenshot-audio.

=== debian/tests/control ===
Tests: test-sound
Depends: libopenshot-audio-test-sound

## libopenshot-audio 0.3.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.2.2")
-set(PROJECT_SO_VERSION 8)
+set(PROJECT_VERSION_FULL "0.3.0")
+set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
 string(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")
@@ -96,6 +96,19 @@
 include(GNUInstallDirs)
 # Collect and display summary of options/dependencies
 include(FeatureSummary)
+
+### Build configuration (options)
+option(ENABLE_AUDIO_DOCS "Attempt to build API docs for audio library" ON)
+option(AUTO_INSTALL_DOCS "Include documentation in the default install" ON)
+option(APPIMAGE_BUILD "Build to install in an AppImage (Linux only)" OFF)
+
+if (APPIMAGE_BUILD)
+  # Force older version of glibc and -pthread flag when building AppImage
+  # for better backwards compatibility (i.e older distros)
+  message("Wrapping libc for compatibility with version glibc_2.23")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
+endif()
 
 # Alternative location for JUCE modules (debian has their own)
 set(JUCE_MODULES_PATH "${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules" CACHE PATH
@@ -335,30 +348,3 @@
 )
 
 # Write version file for eported config
-write_basic_package_version_file(
-  OpenShotAudioConfigVersion.cmake
-  VERSION "${PROJECT_VERSION}"
-  COMPATIBILITY AnyNewerVersion
-)
-
-# Export the configuration at install time
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-
-# Include our FindASIO module, which will be needed on Windows
-install(FILES
-  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-
-###
-### DOCUMENTATION
-###
-# We need Python to process the source for Doxygen...
-find_package(PythonInterp 3)
-
-if(PYTHONINTERP_FOUND)
-  # Pre-process the sources to fix documentation formatting

=== debian/changelog ===
libopenshot-audio (0.3.0+dfsg1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update copyright.
  * Update to debhelper-compat = 12.
  * Correct source compat to 3.0 (quilt).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Jan 2023 16:49:48 -0800

libopenshot-audio (0.3.0+dfsg2+148+202212111642~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 16:42:35 +0000

libopenshot-audio (0.3.0-2) UNRELEASED; urgency=medium

  * Fixing invalid dependency to libopenshot-audio8

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 10:38:22 -0600

libopenshot-audio (0.3.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 09:52:56 -0600

libopenshot-audio (0.2.1-1ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 25 Aug 2021 11:35:49 -0500

libopenshot-audio (0.2.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 03 Mar 2020 02:44:31 -0600

## libopenshot-audio 0.3.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.0")
+set(PROJECT_VERSION_FULL "0.3.1")
 set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()

=== debian/changelog ===
libopenshot-audio (0.3.1+dfsg1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Apr 2023 16:19:34 -0700

=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libasound2-dev,
               lsb-release,
               python3,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: libopenshot-audio9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenshot-audio1,
          libopenshot-audio2,
          libopenshot-audio6,
          libopenshot-audio7,
          libopenshot-audio8
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the OpenShot audio library.

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio9 (= ${binary:Version}), ${misc:Depends}
Suggests: libopenshot-audio-doc
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files for the OpenShot audio library.

Package: libopenshot-audio-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation for the OpenShot audio library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

# Hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -pthread -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -lpthread -ldl -Wl,--as-needed

# Environment information.
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_DISTRIBUTION = $(shell lsb_release -i -s)
DEB_RELEASE = $(shell lsb_release -c -s)

EXTRA_CMAKE_ARGS =
BUILD_DOCS = yes

ifeq (Ubuntu,$(DEB_DISTRIBUTION))
  ifeq (bionic,$(DEB_RELEASE))
    EXTRA_CMAKE_ARGS = -DENABLE_AUDIO_DOCS=0
    BUILD_DOCS = no
  endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" $(EXTRA_CMAKE_ARGS)

override_dh_auto_build-indep:
ifeq (yes,$(BUILD_DOCS))
	dh_auto_build --indep -- doc
endif

override_dh_install-indep:
ifeq (yes,$(BUILD_DOCS))
	dh_install --indep
	dh_doxygen --indep
endif

override_dh_installdocs-indep:
ifeq (yes,$(BUILD_DOCS))
	dh_installdocs --indep
endif

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz

## libopenshot-audio 0.3.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.1")
+set(PROJECT_VERSION_FULL "0.3.2")
 set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()

=== src/CMakeLists.txt ===
#################### CMakeLists.txt (libopenshot-audio) ######################
# @brief CMake build file for libopenshot-audio (used to generate makefiles)
# @author Jonathan Thomas <jonathan@openshot.org>
#
# @section LICENSE
#
# Copyright (c) 2008-2016 OpenShot Studios, LLC
# <http://www.openshotstudios.com/>. This file is part of
# OpenShot Audio Library (libopenshot-audio), an open-source project dedicated
# to delivering high quality audio editing and playback solutions to the
# world. For more information visit <http://www.openshot.org/>.
#
# OpenShot Audio Library (libopenshot-audio) is free software: you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# OpenShot Audio Library (libopenshot-audio) is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenShot Audio Library. If not, see <http://www.gnu.org/licenses/>.
################################################################################

add_executable(openshot-audio-demo Main.cpp)
target_link_libraries(openshot-audio-demo OpenShot::Audio)

# Set compile features in ancient CMake (newer releases would
# make them transitive from the library)
if(CMAKE_VERSION VERSION_LESS 3.8)
  set_target_properties(openshot-audio-demo PROPERTIES
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED YES
    CXX_EXTENSIONS NO
  )
endif()

install(TARGETS openshot-audio-demo
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
libopenshot-audio (0.3.2+dfsg1-3) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * watch file standard 4 (routine-update)

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Oct 2025 23:05:56 +0200

libopenshot-audio (0.3.2+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062506

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:01:16 +0000

libopenshot-audio (0.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * No change source upload to allow testing migration

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 13 Oct 2023 12:49:49 +0200

libopenshot-audio (0.3.2+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Juri Grabowski ]
  * New upstream version 0.3.2+dfsg1

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright
  * Update gbp.conf for DEP-14
  * Bump SO version, create new binary package
  * Remove myself from uploaders
  * Update d/copyright for removed file
  * Build-Depends: Replace libfreetype6-dev with libfreetype-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Oct 2023 11:23:10 +0200

=== debian/control ===
Source: libopenshot-audio
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 dpkg-dev (>= 1.22.5),
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libflac-dev,
 libfreetype-dev,
 libjpeg-dev,
 libpng-dev,
 libvorbis-dev,
 libxcursor-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 python3 <!nodoc>,
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/
Rules-Requires-Root: no

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libopenshot-audio9t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libopenshot-audio-doc <!nodoc>,
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio9t64
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 libopenshot-audio9 (<< ${source:Version}),
Provides:
 ${t64:Provides},
Replaces:
 libopenshot-audio9,
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: libopenshot-audio-test-sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: plays test sound using libopenshot-audio
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the test binary to test the sound using
 libopenshot-audio.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_auto_build -- doc
endif

override_dh_auto_test-indep:

override_dh_auto_install-indep:

# NOTE: This override is required to ensure only non-empty directories are
# effectively installed.
override_dh_install-arch:
	find debian/tmp -type d -empty -delete
	dh_install --arch

override_dh_installdocs-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	dh_installdocs --indep
	dh_doxygen --indep
endif

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libopenshot-audio-$1\.tar\.gz/ \
https://github.com/OpenShot/libopenshot-audio/tags .*/v?(\d\S*)\.tar\.gz

## libopenshot-audio 0.3.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.2")
+set(PROJECT_VERSION_FULL "0.3.3")
 set(PROJECT_SO_VERSION 9)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
@@ -100,15 +100,6 @@
 ### Build configuration (options)
 option(ENABLE_AUDIO_DOCS "Attempt to build API docs for audio library" ON)
 option(AUTO_INSTALL_DOCS "Include documentation in the default install" ON)
-option(APPIMAGE_BUILD "Build to install in an AppImage (Linux only)" OFF)
-
-if (APPIMAGE_BUILD)
-  # Force older version of glibc and -pthread flag when building AppImage
-  # for better backwards compatibility (i.e older distros)
-  message("Wrapping libc for compatibility with version glibc_2.23")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include /usr/local/include/force_link_glibc_2.23.h -pthread -static-libgcc")
-endif()
 
 # Alternative location for JUCE modules (debian has their own)
 set(JUCE_MODULES_PATH "${CMAKE_CURRENT_SOURCE_DIR}/JuceLibraryCode/modules" CACHE PATH
@@ -348,3 +339,26 @@
 )
 
 # Write version file for eported config
+write_basic_package_version_file(
+  OpenShotAudioConfigVersion.cmake
+  VERSION "${PROJECT_VERSION}"
+  COMPATIBILITY AnyNewerVersion
+)
+
+# Export the configuration at install time
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
+  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
+  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
+)
+
+# Include our FindASIO module, which will be needed on Windows
+install(FILES
+  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
+  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
+)
+
+###
+### DOCUMENTATION
+###
+

=== debian/changelog ===
libopenshot-audio (0.3.3+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 00:17:29 -0700

libopenshot-audio (0.3.2+dfsg1-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 May 2024 18:36:10 -0700

=== debian/control ===
Source: libopenshot-audio
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Rules-Requires-Root: no
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev,
               libflac-dev,
               libfreetype-dev,
               libjpeg-dev,
               libpng-dev,
               libvorbis-dev,
               libxcursor-dev,
               libxinerama-dev,
               libxrandr-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc>, python3 <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/libopenshot-audio
Vcs-Git: https://salsa.debian.org/multimedia-team/libopenshot-audio.git
Homepage: https://www.openshot.org/

Package: libopenshot-audio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libopenshot-audio9 (= ${binary:Version}), ${misc:Depends}
Suggests: libopenshot-audio-doc <!nodoc>
Description: development files for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the development files.

Package: libopenshot-audio9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for high-quality audio editing
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the shared library.

Package: libopenshot-audio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenShot audio library
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: libopenshot-audio-test-sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: plays test sound using libopenshot-audio
 The OpenShot audio library is a program which allows high-quality
 editing and playback of audio based on the JUCE library.
 .
 This package provides the test binary to test the sound using
 libopenshot-audio.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 BUILDDIR = $(CURDIR)/debian/build
 
 %:
@@ -26,3 +27,8 @@
 	dh_installdocs --indep
 	dh_doxygen --indep
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## libopenshot-audio 0.4.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,13 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.3.3")
-set(PROJECT_SO_VERSION 9)
+set(PROJECT_VERSION_FULL "0.4.0")
+set(PROJECT_SO_VERSION 10)
+
+#### Set C++ standard level
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # Remove the dash and anything following, to get the #.#.# version for project()
 string(REGEX REPLACE "\-.*$" "" VERSION_NUM "${PROJECT_VERSION_FULL}")
@@ -240,6 +245,7 @@
     "-framework AudioToolbox"
     "-framework QuartzCore"
     "-framework Accelerate"
+    "-framework Security"
     "-lobjc"
   )
   target_compile_options(openshot-audio PRIVATE
@@ -352,13 +358,3 @@
   DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-# Include our FindASIO module, which will be needed on Windows
-install(FILES
-  "${PROJECT_SOURCE_DIR}/cmake/Modules/FindASIO.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-
-###
-### DOCUMENTATION
-###
-

=== debian/changelog ===
libopenshot-audio (0.4.0+dfsg1-1~mx25) mx; urgency=medium

  * New upstream release
  * Bump to libopenshot-audio10

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Nov 2025 15:38:31 -0800

libopenshot-audio (0.3.3+dfsg1-1~mx23+2) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 00:17:29 -0700

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Rules-Requires-Root: no
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libasound2-dev,
                libflac-dev,
                libfreetype-dev,
@@ -27,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libopenshot-audio9 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenshot-audio10 (= ${binary:Version}), ${misc:Depends}
 Suggests: libopenshot-audio-doc <!nodoc>
 Description: development files for the OpenShot audio library
  The OpenShot audio library is a program which allows high-quality
@@ -35,7 +35,7 @@
  .
  This package provides the development files.
 
-Package: libopenshot-audio9
+Package: libopenshot-audio10
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

## libopenshot-audio 0.5.0%2Bdfsg1

=== debian/changelog ===
libopenshot-audio (0.5.0+dfsg1-1build1) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Sat, 03 Jan 2026 23:14:42 +0000

libopenshot-audio (0.5.0+dfsg1-1) unstable; urgency=medium

  * [83525b9] test(debian): Make test-sound robust by checking output
  * [6d924ba] fix(test): Filter expected ALSA warnings in sound test
  * [c2ac5a8] New upstream version 0.5.0+dfsg1
  * [314403f] chore(debian): Update patches for upstream 0.5.0
  * [3d3e030] Cleanup copyright file
  * [0a46124] New upstream version 0.4.0+dfsg1
  * [989769f] Update packaging for SONAME 10 transition

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Dec 2025 18:04:23 +0100

## libopenshot-audio 0.5.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")
 
 ################ PROJECT VERSION ####################
-set(PROJECT_VERSION_FULL "0.4.0")
+set(PROJECT_VERSION_FULL "0.5.0")
 set(PROJECT_SO_VERSION 10)
 
 #### Set C++ standard level
@@ -231,8 +231,10 @@
 
 if(APPLE)
   set_target_properties(openshot-audio PROPERTIES
-    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
-    MACOSX_RPATH OFF
+          INSTALL_NAME_DIR "@rpath"
+          BUILD_WITH_INSTALL_RPATH ON
+          INSTALL_RPATH_USE_LINK_PATH ON
+          INSTALL_RPATH "@loader_path/../lib;@executable_path/../lib"
   )
   target_link_libraries(openshot-audio PRIVATE
     "-framework Carbon"
@@ -354,7 +356,3 @@
 # Export the configuration at install time
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfig.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/OpenShotAudioConfigVersion.cmake"
-  DESTINATION ${CMAKECONFIG_INSTALL_DIR}
-)
-

=== debian/changelog ===
libopenshot-audio (0.5.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 19:46:37 +0100
